Apple – iOS – Prueba en iOS 10.3 con XCode 8.2.1

Tengo una MacBook con El Capitan instalada en ella. ¡No puedo actualizar a sierra! Por eso, no puedo instalar XCode 8.3 .

Ahora necesito probar una aplicación con iOS 10.3 pero no puedo comstackrla con XCode 8.2.1 para iOS 10.3. Tengo un dispositivo písico con iOS 10.3, pero XCode no me permite ejecutarlo en ese dispositivo.

¿Qué hacer ahora?

Hacerlo aún es posible con esta solución simple:

  1. Descarga el último Xcode
  2. Haga clic derecho en la Xcode.app descargada, select Mostrar contenido del package. Vaya a Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport subcarpeta
  3. Mueva la carpeta 10.3 a la location idéntica en su installation local Xcode 8.2.1

No te decepciones. Hay una forma

Si tiene acceso a cualquiera de las mac que ejecuta el último xcode y los simuladores actualizados, navegue a este directory, copie los simuladores que necesita y páselos en el mismo directory en su OSX .

¡Entonces puede ejecutar la aplicación en el simulador más reciente y en el dispositivo físico actualizado!

 /Applications/Xcode8.3.app/Contents/Developer/Platforms/iPhoneOS.platform 

Desafortunadamente, no tienes suerte. Como esta respuesta especifica, iOS 10.3 requiere Xcode 8.3 o superior, que a su vez requiere macOS Sierra.